# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit eutils

# Don't change the order they are grouped by upstream categories:
# (easyer to add new template packages)

# Home & Family (Food-n-Family Hobby Floral KidsKorner)
# At the Office (Business 9-to-5 Architecture)
# Creative Concepts (Art Fantasy Urban Tattoo Music Mythology Tribal StreetStyle KickinIt GrabBag WithTheBand Expressions)
# Fun Outdoors (Sports Athletic Travel Animal Nature)
# Special Occasions (Wedding SpecialOccasion Holiday Bridal Seasonal LifeEvents Celebration TieTheKnot WinterWhimsy)
# Odds and Ends (Bonus QuickAndSimple)
TL_OLD="Food-n-Family Hobby Floral KidsKorner
	Business 9-to-5 Architecture
	Art Fantasy Urban Tattoo Music Mythology Tribal StreetStyle KickinIt GrabBag WithTheBand Expressions
	Sports Athletic Travel Animal Nature
	Wedding SpecialOccasion Holiday Bridal Seasonal LifeEvents Celebration TieTheKnot WinterWhimsy
	Bonus QuickAndSimple"

# Home & Family (Memories GetCrafty InTheGarden)
# At the Office ()
# Creative Concepts ()
# Fun Outdoors (Adventure)
# Special Occasions ()
# Odds and Ends ()
TL_NEW="Memories GetCrafty InTheGarden
	Adventure"

# Home & Family (Pets)
# At the Office ()
# Creative Concepts ()
# Fun Outdoors ()
# Special Occasions (FavoriteThings)
# Odds and Ends ()
TL_VER="Pets
	FavoriteThings"

# Home & Family ()
# At the Office ()
# Creative Concepts ()
# Fun Outdoors (RoadTrip)
# Special Occasions (FavoriteThings)
# Odds and Ends ()
TL_ALL="RoadTrip"

TL="${TL_OLD} ${TL_NEW} ${TL_VER} ${TL_ALL}"

DESCRIPTION="Theme files for LightScribe"
HOMEPAGE="http://www.lightscribe.com/ideas/index_top.aspx"

SRC_URI=""
for template in ${TL_OLD}
do
	SRC_URI="${SRC_URI} http://web.archive.org/web/20140827075843if_/http://download.lightscribe.com/ls/TL_${template}Pack${PV}.tar.gz"
done
for template in ${TL_NEW}
do
	SRC_URI="${SRC_URI} http://web.archive.org/web/20140827075843if_/http://download.lightscribe.com/ls/TL_${template}.tar.gz -> TL_${template}Pack${PV}.tar.gz "
done
for template in ${TL_VER}
do
	SRC_URI="${SRC_URI} http://web.archive.org/web/20140827075843if_/http://download.lightscribe.com/ls/TL_${template}${PV}.tar.gz -> TL_${template}Pack${PV}.tar.gz "
done
for template in ${TL_ALL}
do
	SRC_URI="${SRC_URI} http://web.archive.org/web/20140827075843if_/http://download.lightscribe.com/ls/TL_${template}-AllPacks.tar.gz -> TL_${template}Pack${PV}.tar.gz "
done


# No details on the use of this Templates
# so as-is was chosen
LICENSE="as-is"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

S="${WORKDIR}"

DEPEND=""
RDEPEND=""

RESTRICT="mirror"

src_unpack() {
	for template in ${TL}
	do
		mkdir ${template}
		pushd ${template}
		unpack TL_${template}Pack${PV}.tar.gz
		popd
	done
}

src_install() {
	for template in ${TL}
	do
		insinto /opt/lightscribe/template/${template}
		doins ${template}/*
	done
}
